#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int op=0;
    int x[n],y[n],z[n];
    for(int i=0;i<n;i++){
        cin>>x[i];
    }
    for(int j=0;j<n;j++){
        cin>>y[j];
    }
    for(int k=0;k<n;k++){
        cin>>z[k];
    }
    for(int l=0;l<n;l++){
       int p=l;
       for(int h=0;h<n;h++){
            int d=h;
            if(y[d]==x[p]){
                for(int f=0;f<n;f++){
                    int s=f;
                    if(z[s]==d){
                        op++;
                    }
                }
            }
        }
    }
    cout<< op <<endl;
    return 0;
}